
Application: gvSIG desktop - gvSIG bugs #127
gvSIG does not exit.
12/26/2011 01:09 PM - Nadal Francisco

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Jorge Piera
Category:
Target version: 2.0.0-alpha3
Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2042
gvSIG build: 2042 Add-on resolve version:2.0.0
Operative System: Linux Add-on resolve build: 2043
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: unknown
Description

When closing gvSIG this error is shown and does not close.

ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - java.lang.NullPointerException
java.lang.NullPointerException
    at org.gvsig.editing.StopEditing$StopEditingStatus.hasUnsavedData(StopEditing.java:388)
    at org.gvsig.andami.Launcher$TerminationProcess.getUnsavedData(Launcher.java:2779)
    at org.gvsig.andami.Launcher$TerminationProcess.manageUnsavedData(Launcher.java:2805)
    at org.gvsig.andami.Launcher$TerminationProcess.run(Launcher.java:2657)
    at org.gvsig.andami.Launcher.closeApplication(Launcher.java:2110)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame$1.windowClosing(MDIFrame.java:198)
    at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:332)
    at java.awt.Window.processWindowEvent(Window.java:1865)
    at javax.swing.JFrame.processWindowEvent(JFrame.java:274)
    at java.awt.Window.processEvent(Window.java:1823)
    at java.awt.Component.dispatchEventImpl(Component.java:4651)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4481)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:643)
    at java.awt.EventQueue.access$000(EventQueue.java:84)
    at java.awt.EventQueue$1.run(EventQueue.java:602)
    at java.awt.EventQueue$1.run(EventQueue.java:600)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
    at java.awt.EventQueue$2.run(EventQueue.java:616)
    at java.awt.EventQueue$2.run(EventQueue.java:614)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:613)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

History
#1 - 12/26/2011 01:40 PM - Jorge Piera
- Status changed from New to Awaiting response
- Assignee set to Jorge Piera

It seems that you have a layer that is being edited and you are trying to close the application. Nadal, could you please give us more information?

#2 - 12/26/2011 04:59 PM - Joaquín  del Cerro Murciano

Al parecer tiene algun error en la carga de la extension de edicion y luego eso hace que al cerrarse gvSIG casque. Al producirse un error durante el
cerrado saca la ventana de que se ha producido un error y no te deja salir de gvSIG.
La idea no seria corregir el error en la extension de edicion, si no que el launcher cuando este cerrando la aplicacion, trate los errores de forma
especial, para que informe que se ha producido algun error y pregunte si a pesar de ello quieres salir de la aplicacion, y en ese caso termine la
ejecucion de gvSIG.
Podrias lanzar una excepcion en el codigo en org.gvsig.editing.StopEditing$StopEditingStatus.hasUnsavedData(StopEditing.java:388) y ver que hay
que tocar en org.gvsig.andami.Launcher.closeApplication(Launcher.java:2110) para que te deje salir de la aplicacion (jejej, luego acordarse quitar la
excepcion de hasUnsavedData).

#3 - 12/27/2011 10:54 AM - Jorge Piera
- Status changed from Awaiting response to Fixed
- Add-on version set to 2.0.0
- Add-on build set to 2042
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2043

Fixed

[gvsig-desktop 37537]

#4 - 01/11/2012 06:17 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha3

#5 - 02/26/2014 12:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed

04/29/2024 2/2


